Subject: [alto] Protocol issue: map-vtag length

From: Enrico Marocco <[email-masked]>
Date: Sat, 27 Aug 2011 07:58:47 +0200

Server implementations seen at the interoperability event have shown a
broad variety of formats for the 'map-vtag' field, with lengths varying
from 1 char to tens of chars. It has been pointed out that some explicit
indication in the specs about the length and perhaps the format of the
field could lead to a more homogeneous use of it.

Possible options (please express and possibly motivate your preference):

  1. leave the format and length unspecified, possibly allowing
     implementations to override its semantics (e.g. piggybacking
     additional/proprietary information);

  2. define an upper limit to the length of the field, but leave format
     unspecified;

  3. other.

-- 
Ciao,
Enrico